Bug 50855 - VIEWING: Nimbus Sans L missing styles
Summary: VIEWING: Nimbus Sans L missing styles
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.5.3 release
Hardware: Other Linux (All)
: highest major
Assignee: Caolán McNamara
QA Contact:
URL:
Whiteboard: BSA target:4.3.0 target:4.1.6 target:...
Keywords:
Depends on:
Blocks: mab4.2
  Show dependency treegraph
 
Reported: 2012-06-07 12:52 UTC by Philip Johnson
Modified: 2014-04-16 17:22 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments
Waited rendering and issue rendering. (25.79 KB, image/png)
2012-08-25 15:36 UTC, cpm
Details
Content of the .fonts directory (remove *.ttf to see the bug) (1.16 MB, application/x-compressed-tar)
2013-02-11 17:42 UTC, Markus W.
Details
Nimbus Sans as rendered in 4.2 and 4.3 (122.49 KB, image/png)
2014-02-11 17:13 UTC, Dave Richards
Details
Nimbus fonts are condensed and should not be. (546.00 KB, image/png)
2014-03-17 15:08 UTC, Dave Richards
Details
Document with bad font section, middle of document is faulty (452.15 KB, application/vnd.oasis.opendocument.text)
2014-03-17 15:11 UTC, Dave Richards
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Philip Johnson 2012-06-07 12:52:31 UTC
Problem description: 

The LO font dialog shows four style for Nimbus Sans L: Regular Condensed, Regular Condensed Italic, Bold, Bold Condensed Italic.  However, fontconfig (fc-list) and other applications (e.g. Inkscape) show many more styles (see below), including "Regular".  LO behavior poses a particular problem when loading documents using the "Helvetica" font, for which it substitutes "Regular Condensed".

If I delete the Regular Condensed font file from the system, then LO reports four different styles: Regular, Regular Condensed Italic, Bold Condensed, Bold Condensed Italic.  Maybe LO cannot handle both condensed and regular styles?


Fontconfig data:

$ fc-match 'Helvetica'
n019003l.pfb: "Nimbus Sans L" "Regular"

$ fc-list 'Nimbus Sans L'
Nimbus Sans L:style=Regular Italic
Nimbus Sans L:style=Bold
Nimbus Sans L:style=Regular
Nimbus Sans L:style=Bold Condensed
Nimbus Sans L:style=Bold Italic
Nimbus Sans L:style=Regular Condensed Italic
Nimbus Sans L:style=Regular Condensed
Nimbus Sans L:style=Bold Condensed Italic

Expected behavior:
Report all styles for Nimbus Sans L!

Platform (if different from the browser): 
Ubuntu 12.04 ("Precise")
              
Browser: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:13.0) Gecko/20100101 Firefox/13.0
Comment 1 cpm 2012-08-25 15:34:15 UTC
Exactly ame issue on my Fedora 17.

Additional information: If I export in PDF format, the issue is visible again in PDF viewer. But, old PDF export (generated from an old Fedora with OpenOffice) is displayed well in PDF viewer.


Information about my computer:
- kernel: Linux  3.5.2-3.fc17.i686.PAE #1 SMP Tue Aug 21 19:27:17 UTC 2012 i686 i686 i386 GNU/Linux
- version: LibreOffice 3.5.6.2 Version ID : 350m1(Build:2)
- packages:
 libreoffice-draw-3.5.6.2-1.fc17.i686
 libreoffice-writer-3.5.6.2-1.fc17.i686
 ...

- fc-match "Nimbus Sans L"
n019003l.pfb: "Nimbus Sans L" "Regular"

- fc-list 'Nimbus Sans L'
Nimbus Sans L:style=Regular Italic
Nimbus Sans L:style=Bold
Nimbus Sans L:style=Regular
Nimbus Sans L:style=Bold Condensed
Nimbus Sans L:style=Bold Italic
Nimbus Sans L:style=Regular Condensed Italic
Nimbus Sans L:style=Regular Condensed
Nimbus Sans L:style=Bold Condensed Italic
Comment 2 cpm 2012-08-25 15:36:24 UTC
Created attachment 66110 [details]
Waited rendering and issue rendering.
Comment 3 cpm 2012-08-25 16:03:33 UTC
Same issue traces on Web without complete solution:
- https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/779366
- https://bbs.archlinux.org/viewtopic.php?id=146726

Hope It will help.
Comment 4 Raphael Rochet 2012-09-27 05:20:08 UTC
Having the very same issue on Archlinux (up-to-date stable), with LibreOffice 3.6.1.2.
Comment 5 hans 2012-11-26 20:51:24 UTC
Confirm on Arch Linux, Libreoffice 3.6.3-1, gsfonts 1.0.7pre44-3. Affects also Liberation Sans. Any workaround is appreciated.
Comment 6 bfoman (inactive) 2013-01-09 11:53:55 UTC
NEW as bug confirmed by other reporters on different Linux distros.
Comment 7 Markus W. 2013-02-11 17:38:25 UTC
Hi!

I probably found the reason for the bug: it depends on what is found in the directory .fonts: The bug is reproducible on my platform with LO 3.6 the follwing content of ~/.fonts:

SourceCodePro-Black.otf       SourceCodePro-Regular.otf   SourceSansPro-BoldIt.otf        SourceSansPro-It.otf       SourceSansPro-SemiboldIt.otf
SourceCodePro-Bold.otf        SourceCodePro-Semibold.otf  SourceSansPro-Bold.otf          SourceSansPro-LightIt.otf  SourceSansPro-Semibold.otf
SourceCodePro-ExtraLight.otf  SourceSansPro-BlackIt.otf   SourceSansPro-ExtraLightIt.otf  SourceSansPro-Light.otf
SourceCodePro-Light.otf       SourceSansPro-Black.otf     SourceSansPro-ExtraLight.otf    SourceSansPro-Regular.otf


If I rename the directory, LO works as expected and offers the regular fonts again. Another test: 

- restore the original .fonts directory
- rm *Black* 

=> Writer works as expected

- restore *Black* AND add one ttf file: SourceSansPro-BlackIt.ttf

=> Writer works as expected
Comment 8 Markus W. 2013-02-11 17:42:50 UTC
Created attachment 74628 [details]
Content of the .fonts directory (remove *.ttf to see the bug)

See my previous comment / description
Comment 9 Markus W. 2013-02-11 18:08:53 UTC
I am sorry to say so, but there is other trouble ahead: With deleting directory .fonts we are not yet done: I can now choose the Nimbs Sans L Regular, but the Regular Bold version is still missing (which drives me nuts by now).
Comment 10 cpm 2013-04-01 00:12:17 UTC
Hi. For your information, I see that now everything works fine on my computer.

If it helps to find out why it works now:
- distrib: Fedora 17
- kernel: Linux ocmstar 3.6.10-2.fc17.i686.PAE #1 SMP Tue Dec 11 18:27:35 UTC 2012 i686 i686 i386 GNU/Linux
- version: LibreOffice 3.5.7.2 Version ID : 350m1(Build:2)
- packages: libreoffice-writer-3.5.7.2-9.fc17.i686
- # fc-match "Nimbus Sans L"
n019003l.pfb: "Nimbus Sans L" "Regular"
(only one line)

I did not custom my system.

So, good news. Have a good day! :-)

I change the status in the hope that it will be good for everyone. :o)
Comment 11 Ernest 2013-04-10 16:14:53 UTC
I am still seeing this bug in LibreOffice 4.0.2.2.

Fontconfig fc-list shows 8 Nimbus Sans L styles, yet in LibreOffice only the 4 condensed styles show up.
Comment 12 J. Kanowitz 2013-06-14 21:06:19 UTC
Same issue with Ubuntu 13.04-provided "Version 4.0.2.2 (Build ID: 400m0(Build:2))" - the twist is that running under one account consistently only offers the condensed forms while running under another account consistently only offers the regular forms.*  Strongly implies something in a homedir configuration file, but which one where?  I've been digging through to remove and/or refresh every trace of fontcache I can find in the homedir for the 'favors condensed' account.

Tried renaming pspfontcache out of the way just because it had a suggestive name but when a fresh version is created there's no difference in behavior.

xfontsel, GIMP, etc can reach both variants fine in all circumstances.



* Printing from the account where things 'work' still appears a little odd - as if it were favoring a condensed form but adjusting the character spacing - vs. output when all was well under a previous old install of OO.o [current install is a fresh Ubuntu using preserved homedirs] but that's for after this issue is squashed...
Comment 13 J. Kanowitz 2013-10-26 00:57:32 UTC
Inexplicably but very pleasantly fixed upon upgrade to Ubuntu 13.10 and LibreOffice Version: 4.1.2.3, Build ID: 410m0(Build:3).
Comment 14 J. Kanowitz 2013-10-26 01:01:12 UTC
Spoke too soon - Common case of desiring Regular to actually render as Regular is fixed, but Condensed variants aren't actually displayed in the list despite being present.
Comment 16 Caolán McNamara 2014-01-28 14:50:33 UTC
I wonder if this is fixed by http://cgit.freedesktop.org/libreoffice/core/commit/?id=1ded21bfb99951ca947bd11a7442398668202ca6 i.e. does this work on a 4.3 daily ?
Comment 17 retired 2014-01-29 12:23:43 UTC
I don't have any "nimbus" font here on OSX at all. Setting OS to Linux.
Comment 18 Dave Richards 2014-02-11 17:12:16 UTC
Tested build from 2/8/2014 and still broken, attaching shot of Nimbus Sans rendering as condensed font.  Works in 4.1 ; broken in 4.2 and 4.3
Comment 19 Dave Richards 2014-02-11 17:13:06 UTC
Created attachment 93874 [details]
Nimbus Sans as rendered in 4.2 and 4.3
Comment 20 Robinson Tryon (qubit) 2014-02-27 15:29:35 UTC
Remove comma from Whiteboard
Comment 21 retired 2014-03-04 17:36:57 UTC
raising to "highest" as of new mab policy.
Comment 22 Commit Notification 2014-03-12 16:04:42 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1e539dbf0fe3894bbf6bf1a0851163b56e37f090

Resolves: fdo#50855 Nimbus Sans L missing styles



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 23 Caolán McNamara 2014-03-12 16:14:34 UTC
Not a true regression as far as I can see. It seems to have always been b0rked in that the width was never set on loading these via fontconfig, so apparently it depended on effectively arbitrary luck which ones would disappear. All seems good now in the sense that all varieties are listed.
Comment 24 Commit Notification 2014-03-12 18:21:51 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f000cc02ee6e75e0e610940f61c3207a105dc95c&h=libreoffice-4-1

Resolves: fdo#50855 Nimbus Sans L missing styles


It will be available in LibreOffice 4.1.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2014-03-12 18:22:08 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b3a3b78d22f1b2bb3c3debe21d75c6b491858f83&h=libreoffice-4-2

Resolves: fdo#50855 Nimbus Sans L missing styles


It will be available in LibreOffice 4.2.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 26 Dave Richards 2014-03-17 15:07:30 UTC
Still broken in daily build from 3/17, attaching screenshot.

Nimbus Sans fonts are rendering in condensed form.
Comment 27 Dave Richards 2014-03-17 15:08:18 UTC
Created attachment 95941 [details]
Nimbus fonts are condensed and should not be.
Comment 28 Dave Richards 2014-03-17 15:11:05 UTC
Created attachment 95943 [details]
Document with bad font section, middle of document is faulty
Comment 29 Adolfo Jayme 2014-04-06 04:15:41 UTC
@Dave: I can’t reproduce that here. It could be because Ubuntu ships with a different version of the Nimbus Sans fonts? Does replacing your local fonts with a different version help?
Comment 30 Dave Richards 2014-04-16 17:22:37 UTC
I have confirmed that this is related to the Nimbus Sans found on OpenSuse 11.2 in the ghostscript area.  I found a newer version of the font, installed and it's working as expected.  So it's a bug, but not commonplace because this flavor is old.  So I'll close.